# Détails techniques

## Matériel

Un ordinateur nommé *Tomate* avec :
* 8 Go de RAM
* Système sur SSD de 500 Go
* PeerTube sur HDD de 1 To
* Intel Core i7, 64 bits, 8 cœurs, 3,1 GHz

## Système

[YunoHost](https://yunohost.org) 11, basée sur [Debian](https://www.debian.org)

## Internet

Tomate est connectée à Internet via une connexion du FAI Free en fibre optique (FTTH) à Paris.

## DNS

Le domaine `antopie.org` est enregistré et hébergé chez [Njalla](https://njal.la/) ([onion](https://njallalafimoej5i4eg7vlnqjvmb6zhdh27qxcatdn647jtwwwui3nad.onion/)) depuis septembre 2023, après [des](https://mamot.fr/@Antopie/111023650352530483) [suspensions](https://mamot.fr/@Antopie/111109567975452751) de la part de Gandi, qui était utilisé depuis l'enregistrement initial du domaine, en 2018.
[DNSSEC](https://fr.wikipedia.org/wiki/Domain_Name_System_Security_Extensions) est activé dessus.
Il est enregistré dans la [HSTS Preload List](https://hstspreload.org).

## Sauvegardes

Tous les services listés sur la page d'accueil sont sauvegardés environ tous les mois sur un disque chiffré distant, à l'exception de :
* PeerTube, qui est sauvegardé intégralement moins fréquemment
* Nextcloud, dont les fichiers utilisataires ne sont pas sauvegardés (car ils sont lourds et généralement déjà synchronisés ailleurs)
* Lufi, car ses données sont lourdes et temporaires

## Journaux de connexion

Le serveur utilise la configuration par défaut de YunoHost pour les journaux de connexion (logs), dont la durée de conservation est de 14 jours pour les services HTTP.

## Chiffrement du stockage

Sauf dispositions spécifiques au service, les données sont enregistrées non chiffrées. Cela permet au serveur de redémarrer automatiquement, mais rends les données plus vulnérables à une intrusion physique.

## Accès Onion

En plus de l'accès par défaut par le DNS, c'est généralement possible, en utilisant Tor, d'atteindre tous les services HTTP de Tomate par une adresse Onion en échangeant `https://*.antopie.org` et `http://*.sou4vla4k5peskbl3dlzhh3e6ve5eu3m3hhsmiidqevlsd6lqo3qq2ad.onion` dans les adresses, bien que ce fonctionnement puisse varier selon le logiciel accédé.

<?php if (DESTINATION === "onion") { ?>
<a href="https://antopie.org/details-techniques.html" class="button">Cette page par le <abbr title="Domain Name System">DNS</abbr></a>
<?php } else { ?>
<a href="http://sou4vla4k5peskbl3dlzhh3e6ve5eu3m3hhsmiidqevlsd6lqo3qq2ad.onion/details-techniques.html" class="button">Cette page en Onion</a>
<?php } ?>

*[FTTH]: Fiber To The Home
*[FAI]: Fournisseur d'Accès à Internet
*[DNSSEC]: Domain Name System Security Extensions
*[HSTS]: HTTP Strict Transport Security
*[DNS]: Domain Name System
